QtWebKit problem
3 3

4 posts in this topic

Hi,
 
I have a problem with PySide installation. I know its not a fTrack problem, but maybe someone know how I can solve this.

When I open Maya with Launchpad or I try to initialize fTrack Maya connections mannualy I have this error:

 

  File "C:\Program Files\VetorLobo\ftrackplugins\ftrackplugin\ftrackDialogs\__init__.py", line 15, in <module>    exec('from ' + modname + ' import *')  File "<string>", line 1, in <module>  File "C:\Program Files\VetorLobo\ftrackplugins\ftrackplugin\ftrackDialogs\ftrackFeberDialog.py", line 4, in <module>    from ftrackplugin.ftrackWidgets.WebViewWidget import WebViewWidget  File "C:\Program Files\VetorLobo\ftrackplugins\ftrackplugin\ftrackWidgets\WebViewWidget.py", line 1, in <module>    from PySide import QtCore, QtGui, QtWebKit 

QtCore and QtGui loads fine, but when I try to import PySide.QtWebKit I have this error:

import PySide.QtWebKit# Error: ImportError: DLL load failed: The specified procedure could not be found. # 

I load PySide.QtWebKit with dependencyWalker, and I have QtWebKit.dll missed error.

 

I tryed to install PySide-1.1.2.win-amd64-py2.7.exe according this link http://support.ftrack.com/customer/portal/articles/1320175-ftrackplugins-manual-install

 

And the PySide provided by \ftrackplugins\lib\PySideMayaWin64

 

I'm trying to use launchpad or manual install, but in both I have the same error.

 

Anyone have any idea what can I do?

 

Thank you,

Aline Lima

Share this post


Link to post
Share on other sites

Hi Lucas, thank you for your help.

 

I was trying to solve this QtWebKit problem. I forgot to mention that I was using Maya 2012, which doen't have PySide by default. In Maya 2014 everything works fine.

 

I discovered that if I copy the PySide from Nuke 6.3_v5 and use in Maya 2012, it solves the .dll problem.

But there is another error that I reported to support. I will paste here just for information.

http://ftrack.vetorzero.com.br/ftrack.js?version=2.3v4.3575 line 1:TypeError: Result of expression 'h.configClass' [Ext.Base] is not aconstructor.http://ftrack.vetorzero.com.br//widget?view=app_info&itemId=launcher&theme=tf&auth_token=2ceb5666-9588-11e3-ae0b-0026b94baeec&entityId=8f30963a-7fa6-11e3-b914-0026b94baeec&entityType=taskline45: ReferenceError: Can't find variable: FT

If someone knows this error and how to fix it, I'd be glad to know.

 

But I'm almost giving up of Maya 2012 and support only 2014.

 

Thank you,

Aline Lima

Share this post


Link to post
Share on other sites

Qt in Maya 2012 on Windows is kind of broken. It is missing parts (several related to SSL and WebViews) that Autodesk for some reason decided to remove when compiling.

 

We run Maya 2014 now as primary production version. Before the first two service packs it was kinda shaky but after SP3 and SP1 extension it runs good. 

 

Cheers,

Erik

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
3 3